Skip to main content

Update Hotel Room API

Overview​

Updates configuration details, total room inventory capacity, or nightly rates for a Hotel Room.

  • Endpoint: /api/hotels/rooms/update
  • Method: POST

Request Body Schema​

FieldTypeRequiredDescription
idString (UUID)YesTarget Room ID
roomTypeEnumNoUpdated room type
roomNameStringNoUpdated room name
maxOccupancyNumberNoUpdated max occupancy
bedConfigurationEnumNoSINGLE, DOUBLE, TWIN, QUEEN_SIZE, KING_SIZE, SOFA_BED, BUNK_BED
floorNumberNumberNoUpdated floor number
basePricePerNightNumberNoUpdated base rate per night
totalRoomsNumberNoUpdated total room capacity
mealPlanEnumNoUpdated meal plan
freeCancellationTillHoursNumberNoUpdated free cancellation window in hours
amenitiesStringNoUpdated room amenities
amenitiesListArray of ObjectsNoList of room amenity map objects (each item having optional id and required amenityId). Pass id if updating existing HotelAmenityMap entry, or id: null if creating new entry
imagesStringNoUpdated room photo URLs
activeBooleanNoActive status flag

Request Body Example​

{
"id": "11223344-5566-7788-9900-aabbccddeeff",
"roomName": "Ocean Deluxe Suite Premium",
"bedConfiguration": "KING_SIZE",
"basePricePerNight": 4800.00,
"totalRooms": 12,
"freeCancellationTillHours": 24,
"amenitiesList": [
{
"id": "33445566-7788-9900-aabb-ccddeeff1122",
"amenityId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"
},
{
"id": null,
"amenityId": "550e8400-e29b-41d4-a716-446655440000"
}
],
"active": true
}

Response Example (200 OK)​

{
"success": true,
"data": {
"id": "11223344-5566-7788-9900-aabbccddeeff",
"roomName": "Ocean Deluxe Suite Premium",
"basePricePerNight": "4800.00",
"totalRooms": 12
},
"message": "Hotel room updated successfully"
}